Subject: Re: [PATCH 2/2] [POWERPC] pasemi: Register i2c_board_info

From: Olof Johansson <[email-masked]>
Date: Tue, 4 Dec 2007 13:32:20 -0600

On Tue, Dec 04, 2007 at 01:28:46PM +0000, David Woodhouse wrote:
> 
> On Thu, 2007-11-29 at 21:29 -0600, Olof Johansson wrote:
> > +                               continue;
> > +
> > +                       info.addr = *addr;
> > +
> > +                       i2c_register_board_info(PCI_FUNC(pdev->devfn),
> > &info,
> > +                                               1);
> > +               }
> > +       }
> 
> +       /* Ensure that buses up to 2 are reserved */
> +       i2c_register_board_info(2, NULL, 0);
> +
> 
> 
> > +       return 0;
> > +}
> > +device_initcall(pasemi_register_i2c_devices);
> > +#endif
> 
> 
> Otherwise when you make i2c-pasemi use i2c_add_numbered_adapter(), it
> might fail to register the third bus -- because there were no devices
> preregistered on it, so something else might have stolen that bus number
> already.

Good point, I'd missed that. Thanks!

> You might want to add the patch to use i2c_add_numbered_adapter() to
> your tree, btw.

Yep, I realized that after (re)asking Paul to pull though, and didn't
want to do a third request before he's done it. :)

If he doesn't pull in the next few days I might just keep adding new
patches as they come in though, and add it back.

-Olof